* DISCLAIMER :
************************************************************************
*          Property of Texas Instruments Incorporated.  Unauthorized   *
*          reproduction and/or distribution is strictly prohibited.    *
*                                                                      *
*          This product is protected under copyright law.              *
*          Created 2009, (C) Copyright 2009, Texas Instruments Inc.,   *
*          All Rights Reserved                                         *
*                                                                      *
*          UNLESS THERE IS A SIGNED, WRITTEN AGREEMENT TO THE          *
*          CONTRARY, TEXAS INSTRUMENTS ("TI") IS PROVIDING THE SPICE   *
*          MODELS "AS IS" AND WITHOUT ANY WARRANTY, EXPRESSED OR       *
*          IMPLIED.  TI assumes no liability for:                      *
*          1) the accuracy of the SPICE models provided to your        *
*             company;                                                 *
*          2) the proper functioning of these SPICE models in your     *
*             design or for any resulting applications; or             *
*          3) infringement of patents, copyrights or intellectual      *
*             property rights resulting from your use of these         *
*             SPICE models.                                            *
*                                                                      *
*          TI provides SPICE Models as a service to our customers.     *
*          You and your company shall not distribute, sell or give     *
*          these models to anyone else without prior written           *
*          permission from TI.                                         *
*                                                                      *
*          TI reserves the right to make changes to our products or    *
*          to discontinue any semiconductor product or service         *
*          without notice, and advises our customers to obtain the     *
*          latest version of relevant information to verify, before    *
*          placing orders, that the information being relied on is     *
*          current.                                                    *
*                                                                      *
*          Please be aware that your receipt and use of the SPICE      *
*          information provided shall serve as acceptance of these     *
*          terms and conditions.  If you do not accept these terms,    *
*          you should return or destroy the SPICE models and any       *
*          other accompanying information immediately.                 *
*                                                                      *
*          Contact Texas Instruments at ATTN:HIGH SPEED INTERFACE      *
************************************************************************
************************************************************************
************************************************************************
***  Netlist Pin and Signal Names
***
***  Pin	Signal	Description
***	1	B0	Pre-emphasis control for channel 0
***	2	B1	Pre-emphasis control for channel 1
***	3	EN	Device enable
***	4	GND	Device ground
***	5	RX0N	Negative input for channel 0
***	6	RX0P	Positive input for channel 0
***	7	RX1N	Negative input for channel 1
***	8	RX1P	Positive input for channel 1
***	9	TX0N	Negative output for channel 0
***	10	TX0P	Positive output for channel 0
***	11	TX1N	Negative output for channel 1
***	12	TX1P	Positive output for channel 1
***	13	VCC	Device power supply
************************************************************

****************** Simulation parameters ****************************
.PARAM VCC=3.3
.PARAM B1=0
.PARAM B0=0
.PARAM EN=VCC


.PROBE TRAN
+    V(IN1N)
+    V(IN1P)
+    V(IN0N)
+    V(IN0P)
+    V(net15)
+    V(net13)
+    V(net9)
+    V(net11)
+    V(OUT1N)
+    V(OUT1P)
+    V(OUT0N)
+    V(OUT0P)

.TRAN 10e-12 100n START=50n
.OP
.TEMP 25

.OPTION
+    POST=1
+    INGOLD=2
+    MEASOUT=1
+    PARHIER=LOCAL
+    SCALE=1e-6
+    ACCURATE
+    DELMAX=10e-12
+    probe=1
+    CONVERGE=1

*** process ****
.INCLUDE "nom.inc"

*** lvcp412A netlist ***
.INCLUDE "lvcp412A_enc.inc"

** 3Gbps PRBS7 signal source ***
.subckt source_for_AC_coupling_PRBS_hspice outn outp
E4 outn 0 VCVS net027 net028 1
E3 outp 0 VCVS net028 net027 1
V2 net11 0 PWL 0 0 500e-12 0 600e-12 1 1 1 TD=0
V1 net3 0 PWL 0 400e-3 666e-12 400e-3 766e-12 -400e-3 999e-12 -400e-3
+1.099e-9 400e-3 2.331e-9 400e-3 2.431e-9 -400e-3 2.997e-9 -400e-3
+3.097e-9 400e-3 3.996e-9 400e-3 4.096e-9 -400e-3 4.662e-9 -400e-3
+4.762e-9 400e-3 4.995e-9 400e-3 5.095e-9 -400e-3 5.328e-9 -400e-3
+5.428e-9 400e-3 5.661e-9 400e-3 5.761e-9 -400e-3 5.994e-9 -400e-3
+6.094e-9 400e-3 6.66e-9 400e-3 6.76e-9 -400e-3 7.326e-9 -400e-3 7.426e-9
+400e-3 7.992e-9 400e-3 8.092e-9 -400e-3 9.657e-9 -400e-3 9.757e-9 400e-3
+10.323e-9 400e-3 10.423e-9 -400e-3 10.656e-9 -400e-3 10.756e-9 400e-3
+11.322e-9 400e-3 11.422e-9 -400e-3 11.655e-9 -400e-3 11.755e-9 400e-3
+11.988e-9 400e-3 12.088e-9 -400e-3 12.321e-9 -400e-3 12.421e-9 400e-3
+13.32e-9 400e-3 13.42e-9 -400e-3 13.653e-9 -400e-3 13.753e-9 400e-3
+13.986e-9 400e-3 14.086e-9 -400e-3 14.985e-9 -400e-3 15.085e-9 400e-3
+15.651e-9 400e-3 15.751e-9 -400e-3 16.317e-9 -400e-3 16.417e-9 400e-3
+16.65e-9 400e-3 16.75e-9 -400e-3 17.649e-9 -400e-3 17.749e-9 400e-3
+17.982e-9 400e-3 18.082e-9 -400e-3 19.98e-9 -400e-3 20.08e-9 400e-3
+20.313e-9 400e-3 20.413e-9 -400e-3 20.979e-9 -400e-3 21.079e-9 400e-3
+21.312e-9 400e-3 21.412e-9 -400e-3 21.978e-9 -400e-3 22.078e-9 400e-3
+22.644e-9 400e-3 22.744e-9 -400e-3 22.977e-9 -400e-3 23.077e-9 400e-3
+23.31e-9 400e-3 23.41e-9 -400e-3 23.976e-9 -400e-3 24.076e-9 400e-3
+25.308e-9 400e-3 25.408e-9 -400e-3 25.641e-9 -400e-3 25.741e-9 400e-3
+26.64e-9 400e-3 26.74e-9 -400e-3 27.972e-9 -400e-3 28.072e-9 400e-3
+30.303e-9 400e-3 30.403e-9 -400e-3 31.302e-9 -400e-3 31.402e-9 400e-3
+32.301e-9 400e-3 32.401e-9 -400e-3 32.634e-9 -400e-3 32.734e-9 400e-3
+33.3e-9 400e-3 33.4e-9 -400e-3 34.299e-9 -400e-3 34.399e-9 400e-3
+34.632e-9 400e-3 34.732e-9 -400e-3 34.965e-9 -400e-3 35.065e-9 400e-3
+35.298e-9 400e-3 35.398e-9 -400e-3 35.964e-9 -400e-3 36.064e-9 400e-3
+36.297e-9 400e-3 36.397e-9 -400e-3 36.63e-9 -400e-3 36.73e-9 400e-3
+38.295e-9 400e-3 38.395e-9 -400e-3 38.628e-9 -400e-3 38.728e-9 400e-3
+38.961e-9 400e-3 39.061e-9 -400e-3 39.294e-9 -400e-3 39.394e-9 400e-3
+39.627e-9 400e-3 39.727e-9 -400e-3 39.96e-9 -400e-3 40.06e-9 400e-3
+40.293e-9 400e-3 40.393e-9 -400e-3 41.625e-9 -400e-3 41.725e-9 400e-3
+41.958e-9 400e-3 42.058e-9 -400e-3 42.291e-9 -400e-3 R
E0 net028 net027 VCVS POLY(2) net3 0 net11 0  0  0  0  0  1
.ends source_for_AC_coupling_PRBS_hspice
** End of subcircuit definition.

** Test Bench **
XI19 net083 net084 source_for_AC_coupling_PRBS_hspice
XI18 net080 net081 source_for_AC_coupling_PRBS_hspice
XI12 B0 B1 EN GND IN0N IN0P IN1N IN1P OUT0N OUT0P OUT1N OUT1P VCC
+TOP_LVCP412A
R5 net080 net054 50
R4 net081 net056 50
R6 net084 net052 50
R7 net083 net050 50
R3 net11 0 50
R2 net9 0 50
R1 net13 0 50
R0 net15 0 50
C8 net054 0 100e-15
C10 net050 0 100e-15
C9 net056 0 100e-15
C11 net052 0 100e-15
C7 OUT1P net9 12e-9
C6 OUT1N net11 12e-9
C5 OUT0N net13 12e-9
C4 OUT0P net15 12e-9
C3 net052 IN1P 12e-9
C2 net050 IN1N 12e-9
C1 net054 IN0N 12e-9
C0 net056 IN0P 12e-9
V5 EN 0 DC=EN
V4 B1 0 DC=B1
V2 B0 0 DC=B0
V1 GND 0 DC=0
V0 VCC 0 DC=VCC
.END
